> For the complete documentation index, see [llms.txt](https://docs.quipuswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/factory/developer-methods/factory-management/factory-params.md).

# Factory params

### :money\_with\_wings:Set price

This method sets the deployment price in the [QUIPU](https://better-call.dev/mainnet/KT193D4vozYnhGJQVtw7CoxxqphqUEEwK6Vb/metadata) token.

{% content-ref url="/pages/9qXWMyZ7PapuVGcz5RT6" %}
[set\_price](/smart-contracts/quipuswap-stable-swap-dex/factory/developer-methods/factory-management/factory-params/set_price.md)
{% endcontent-ref %}

### :fire:Set burn rate

This method sets which percent of the deployment price will be sent to a zero address (burned).

{% content-ref url="/pages/mZ5mNCZSUCsBJaUR01V7" %}
[set\_burn\_rate](/smart-contracts/quipuswap-stable-swap-dex/factory/developer-methods/factory-management/factory-params/set_burn_rate.md)
{% endcontent-ref %}

### :white\_heart:Set whitelist

This method adds (or removes) addresses to the whitelist (for deploying new pools without charging QUIPU tokens).

{% content-ref url="/pages/41aQ1k0lwV8Jd8GJGWsI" %}
[set\_whitelist](/smart-contracts/quipuswap-stable-swap-dex/factory/developer-methods/factory-management/factory-params/set_whitelist.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/factory/developer-methods/factory-management/factory-params.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
